import 'package:flutter_test/flutter_test.dart';
import 'package:sa_flutter/auth.service.dart';

void main() {
  test('Test auth.service bad credentials', () async {
    final auth = SaAuthService(
      'https://api.caste.qbitartifacts.com',
      realm: 'default',
    );
    await auth.signIn('username', 'password').catchError((e) {
      expect(e.toString(), 'Exception: Username could not be found.');
    });
  });

  test('Test auth.service good credentials', () async {
    final auth = SaAuthService(
      'https://api.caste.qbitartifacts.com',
      realm: 'default',
    );
    var res = await auth.signIn('manolo_sa2', 'AkxED2Ap8e6a');
    print(res);
    expect(res == null, false);
  });
}
